From: Sophie Brun <sophie@offensive-security.com>
Date: Thu, 17 Jun 2021 10:19:50 +0200
Subject: Fix the build for armel

Last-Update: 2021-06-17
aes_arm32* is not available for armel.
---
 Makefile | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/Makefile b/Makefile
index 51accbb..b3746d7 100644
--- a/Makefile
+++ b/Makefile
@@ -167,10 +167,10 @@ else
 endif
 endif
 
-MACH := $(shell uname -m |sed 's/armv\([0-9]*\)[a-z]*/armv\1/')
+MACH := $(shell gcc -dumpmachine)
 ISARM := $(shell uname -m | grep '^arm')
 ifneq (,$(ISARM),)	# ARM
-ifneq (,$(filter $(MACH),armv7 armv8))
+ifneq (,$(findstring gnueabihf,$(MACH)))
 	OBJECTS2 = find_nonzero_arm.o
 	#POBJECTS2 = find_nonzero.po find_nonzero_arm.po
 	AES_ARM64_O = aes_arm32.o
@@ -178,13 +178,13 @@ ifneq (,$(filter $(MACH),armv7 armv8))
 	CFLAGS += -DHAVE_AES_ARM64
 	ARCHFLAGS += -mfpu=crypto-neon-fp-armv8
 else
-ifeq (armv6,$(MACH))
+ifneq (,$(findstring gnueabi,$(MACH)))
 	OBJECTS2 = find_nonzero_arm.o
 # else default arm stuff not needed here
 endif	# ARMv6
 endif	# ARMv7/8
 endif	# ARM
-ifeq ($(MACH),aarch64)
+ifneq (,$(findstring aarch64,$(MACH)))
 	LIB = lib
 	OBJECTS2 = find_nonzero_arm64.o
 	#POBJECTS2 = find_nonzero.po find_nonzero_arm64.po
